function show_error(field, msg){
    modal_window({
        message: '<div class="alert alert-danger">' + msg + '</div>',
        title: 'Error in ' + field,
        close: function(){
            $j('#' + field).focus();
            $j('#' + field).parents('.form-group').addClass('has-error');
        }
    });
    
    return false;
}

$j(function(){
    $j('#update, #insert').click(function(){
        /* Make sure Quantite is valid */
        var quantitea = $j('#quantitea').val();
        
        if(isNaN(quantitea) || quantitea < 0 || quantitea > 10000){
            return show_error('quantitea', 'La quantité doit etre entre 0 et 10000.');
        }
    });
    
    /* Set montant a prix total to read-only */
	$j('#ptotala').prop('readonly', true);
    
    /* calculer le total */
    $j('#punitairea, #quantitea, #ptotala').change(function(){
       var prixUnitaire = parseFloat($j('#punitairea').val()) || 0;
        var quantite = parseFloat($j('#quantitea').val()) || 0;
        
        var prixTotal = prixUnitaire * quantite;
        $j('#ptotala').val(prixTotal);
    });
})